%define name 	gts
%define version	0.7.3
%define release	1mdk
%define libname	%mklibname %{name} 3

Name:    	%{name}
Version: 	%{version} 
Release: 	%{release} 
Summary: 	3D modeling, animation, and rendering system
License: 	GPL
Group: 	 	System/Libraries
URL:		http://gts.sourceforge.net/
Source:		http://prdownloads.sourceforge.net/gts/%{name}-%{version}.tar.bz2
Patch:		%{name}-0.7.3.libtool.patch.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}

%description
This is the GTS library. GTS stands for the GNU Triangulated
Surface Library. It includes a number of useful functions to deal with
triangulated surfaces including, but not limited to, multi-resolution
models, Delaunay and Constrained Delaunay triangulations, set operations on
surfaces (intersection, union etc ...), bounding-boxes trees for efficient
collision and intersection detection, triangle strips generation for fast
rendering.

%package -n	%{libname}
Summary:	Libraries for %{name}
Group:		System/Libraries

%description -n	%{libname}
Libraries for %{name}

%package -n	%{libname}-devel
Summary:	Headers for %{name}
Group:		System/Libraries
Requires:	%{libname} = %{version}
Provides:	lib%{name}-devel = %{version}-%{release}

%description -n	%{libname}-devel
%{name} development headers and libraries

%prep
%setup -q
%patch

%build
automake-1.7
%configure
%make

%install
rm -rf %{buildroot}
%makeinstall

%post -n %{libname} -p /sbin/ldconfig

%postun -n %{libname} -p /sbin/ldconfig

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS COPYING README
%{_bindir}/gts2dxf
%{_bindir}/gts2oogl
%{_bindir}/gts2stl
%{_bindir}/gtscheck
%{_bindir}/stl2gts
%{_bindir}/transform
%{_bindir}/gtscompare
%{_bindir}/gtstemplate
%{_datadir}/aclocal/gts.m4

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/*.so.*

%files -n %{libname}-devel
%defattr(-,root,root)
%{_bindir}/gts-config
%{_includedir}/*.h
%{_libdir}/*.a
%{_libdir}/*.la
%{_libdir}/*.so
%{_libdir}/pkgconfig/gts.pc

%changelog
* Sat Jun 04 2005 Guillaume Rousse <guillomovitch@mandriva.org> 0.7.3-1mdk  
- first mdk package, contributed by Morreale Jean Roc  (<ihatedaspam@enoreth.net>)
